Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema
Class SchemaMessageProvider

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.SchemaMessageProvider

public class SchemaMessageProvider
extends java.lang.Object
implements XMLMessageProvider

SchemaMessageProvider implements an XMLMessageProvider that provides localizable error messages for the W3C XML Schema Language

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`static int` | `AbsentKeyValue`
`static int` | `AllContentLimited`
`static int` | `AllContentRestricted`
`static int` | `AnnotationError`
`static int` | `AttMissingType`
`static int` | `BadAttWithRef`
`static int` | `BadMinMaxForAllElem`
`static int` | `BadMinMaxForAllGp`
`static int` | `BadMinMaxForGroupWithAll`
`static int` | `CardinalityNotEqual`
`static int` | `Con3X3AttributeAppearance`
`static int` | `Con3X3AttributeInvalidValue`
`static int` | `Con3X3AttributeMustAppear`
`static int` | `Con3X3ElementAppearance`
`static int` | `ContentError`
`static int` | `DatatypeError`
`static int` | `DatatypeQualUnsupported`
`static int` | `DatatypeWithType`
`static int` | `DuplicateField`
`static int` | `DuplicateKey`
`static int` | `DuplicateUnique`
`static int` | `EltRefOnlyInMixedElemOnly`
`static int` | `FeatureUnsupported`
`static java.lang.String[]` | `fgMessageKeys`
`static int` | `FieldMultipleMatch`
`static int` | `FixedDiffersFromActual`
`static int` | `GenericError`
`static int` | `GroupContentRestricted`
`static int` | `IllegalAttContent`
`static int` | `IncorrectDatatype`
`static int` | `IncorrectDefaultType`
`static int` | `InvalidBaseType`
`static int` | `KeyMatchesNillable`
`static int` | `KeyNotEnoughValues`
`static int` | `KeyNotFound`
`static int` | `KeyRefNotEnoughValues`
`static int` | `KeyRefOutOfScope`
`static int` | `KeyRefReferNotFound`
`static int` | `ListUnionRestrictionError`
`static int` | `MinMaxOnGroupChild`
`static int` | `MSG_BAD_MAJORCODE`
`static int` | `MSG_FORMAT_FAILURE`
`static int` | `MSG_MAX_CODE`
`static int` | `MSG_NONE`
`static int` | `NestedOnlyInElemOnly`
`static int` | `NoContentForRef`
`static int` | `NotADatatype`
`static int` | `NoValidatorFor`
`static int` | `OnlyInEltContent`
`static int` | `OrderIsAll`
`static int` | `ProhibitedAttributePresent`
`static java.lang.String` | `SCHEMA_DOMAIN` The domain of messages concerning the XML Schema: Structures specification.
`static int` | `SchemaLocation`
`static int` | `SeqChoiceContentRestricted`
`static int` | `TextOnlyContentWithType`
`static int` | `TypeAlreadySet`
`static int` | `UnclassifiedError`
`static int` | `UniqueNotEnoughValues`
`static int` | `UniqueParticleAttribution`
`static int` | `UnknownBaseDatatype`
`static int` | `UnknownField`
`static int` | `ValueNotInteger`

Constructor Summary
`SchemaMessageProvider()`

Method Summary
`java.lang.String` | `createMessage(java.util.Locale locale, int majorCode, int minorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`java.util.Locale` | `getLocale()`
`void` | `setLocale(java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_DOMAIN

    public static final java.lang.String SCHEMA_DOMAIN

  The domain of messages concerning the XML Schema: Structures specification.

### MSG_BAD_MAJORCODE

    public static final int MSG_BAD_MAJORCODE

### MSG_FORMAT_FAILURE

    public static final int MSG_FORMAT_FAILURE

### NoValidatorFor

    public static final int NoValidatorFor

### IncorrectDatatype

    public static final int IncorrectDatatype

### AttMissingType

    public static final int AttMissingType

### NotADatatype

    public static final int NotADatatype

### TextOnlyContentWithType

    public static final int TextOnlyContentWithType

### FeatureUnsupported

    public static final int FeatureUnsupported

### NestedOnlyInElemOnly

    public static final int NestedOnlyInElemOnly

### EltRefOnlyInMixedElemOnly

    public static final int EltRefOnlyInMixedElemOnly

### OnlyInEltContent

    public static final int OnlyInEltContent

### OrderIsAll

    public static final int OrderIsAll

### DatatypeWithType

    public static final int DatatypeWithType

### DatatypeQualUnsupported

    public static final int DatatypeQualUnsupported

### GroupContentRestricted

    public static final int GroupContentRestricted

### UnknownBaseDatatype

    public static final int UnknownBaseDatatype

### BadAttWithRef

    public static final int BadAttWithRef

### NoContentForRef

    public static final int NoContentForRef

### IncorrectDefaultType

    public static final int IncorrectDefaultType

### IllegalAttContent

    public static final int IllegalAttContent

### ValueNotInteger

    public static final int ValueNotInteger

### DatatypeError

    public static final int DatatypeError

### TypeAlreadySet

    public static final int TypeAlreadySet

### GenericError

    public static final int GenericError

### UnclassifiedError

    public static final int UnclassifiedError

### ContentError

    public static final int ContentError

### AnnotationError

    public static final int AnnotationError

### ListUnionRestrictionError

    public static final int ListUnionRestrictionError

### ProhibitedAttributePresent

    public static final int ProhibitedAttributePresent

### UniqueNotEnoughValues

    public static final int UniqueNotEnoughValues

### KeyNotEnoughValues

    public static final int KeyNotEnoughValues

### KeyRefNotEnoughValues

    public static final int KeyRefNotEnoughValues

### DuplicateField

    public static final int DuplicateField

### DuplicateUnique

    public static final int DuplicateUnique

### DuplicateKey

    public static final int DuplicateKey

### KeyNotFound

    public static final int KeyNotFound

### UnknownField

    public static final int UnknownField

### KeyRefReferNotFound

    public static final int KeyRefReferNotFound

### FixedDiffersFromActual

    public static final int FixedDiffersFromActual

### InvalidBaseType

    public static final int InvalidBaseType

### FieldMultipleMatch

    public static final int FieldMultipleMatch

### KeyRefOutOfScope

    public static final int KeyRefOutOfScope

### AbsentKeyValue

    public static final int AbsentKeyValue

### KeyMatchesNillable

    public static final int KeyMatchesNillable

### BadMinMaxForAllElem

    public static final int BadMinMaxForAllElem

### BadMinMaxForGroupWithAll

    public static final int BadMinMaxForGroupWithAll

### SeqChoiceContentRestricted

    public static final int SeqChoiceContentRestricted

### AllContentRestricted

    public static final int AllContentRestricted

### AllContentLimited

    public static final int AllContentLimited

### MinMaxOnGroupChild

    public static final int MinMaxOnGroupChild

### BadMinMaxForAllGp

    public static final int BadMinMaxForAllGp

### SchemaLocation

    public static final int SchemaLocation

### UniqueParticleAttribution

    public static final int UniqueParticleAttribution

### Con3X3ElementAppearance

    public static final int Con3X3ElementAppearance

### Con3X3AttributeAppearance

    public static final int Con3X3AttributeAppearance

### Con3X3AttributeMustAppear

    public static final int Con3X3AttributeMustAppear

### Con3X3AttributeInvalidValue

    public static final int Con3X3AttributeInvalidValue

### CardinalityNotEqual

    public static final int CardinalityNotEqual

### MSG_MAX_CODE

    public static final int MSG_MAX_CODE

### MSG_NONE

    public static final int MSG_NONE

### fgMessageKeys

    public static final java.lang.String[] fgMessageKeys

Constructor Detail

### SchemaMessageProvider

    public SchemaMessageProvider()

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    setLocale in interface XMLMessageProvider

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    getLocale in interface XMLMessageProvider

### createMessage

    public java.lang.String createMessage(java.util.Locale locale,
                                          int majorCode,
                                          int minorCode,
                                          java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Specified by:
    createMessage in interface XMLMessageProvider

  Parameters:
    `locale` - The requested locale of the message to be created.
    `key` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference